Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 1496)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 1497)
@@ -11,7 +11,9 @@
 import java.util.Properties;
 import java.util.TreeSet;
 
+import org.odftoolkit.odfdom.dom.element.table.TableTableElement;
 import org.odftoolkit.simple.SpreadsheetDocument;
+import org.odftoolkit.simple.TextDocument;
 import org.odftoolkit.simple.table.Cell;
 import org.odftoolkit.simple.table.Row;
 import org.odftoolkit.simple.table.Table;
@@ -33,14 +35,12 @@
 		this.lang = lang;
 	}
 	
-	public boolean run(File output) throws Exception {
+	public boolean run(File tableFile) throws Exception {
 		if (!dir.exists()) return false;
 		
-		File tableFile = new File("messages_fr.ods");
-		
 		if (!tableFile.exists()) return false;
 		
-		File langPropertiesFile = new File(dir, "messages_"+lang+".properties");
+		File langPropertiesFile = new File(dir, "messages2_"+lang+".properties");
 		Properties slave = new Properties() {
 			@Override
 			public synchronized Enumeration<Object> keys() {
@@ -49,7 +49,7 @@
 				return Collections.enumeration(set);
 			}
 		};
-		File defaultPropertiesFile = new File(dir, "messages.properties");
+		File defaultPropertiesFile = new File(dir, "messages2.properties");
 		Properties master = new Properties() {
 			@Override
 			public synchronized Enumeration<Object> keys() {
@@ -61,17 +61,46 @@
 		
 		slave.load(IOUtils.getReader(langPropertiesFile, "UTF-8"));
 		
-		SpreadsheetDocument spreadsheet = SpreadsheetDocument.loadDocument(tableFile);
+		TextDocument doc = TextDocument.loadDocument(tableFile);
+		Table table = doc.getTableList().get(0);
 		
-		ArrayList<HashMap<String, String>> data = ReadODS.toHashMap(tableFile, null);
-
-		for (HashMap<String, String> h : data) {
-			String key = h.get("KEY");
+		Row headerRow = table.getRowList().get(0);
+		int ncol = headerRow.getCellCount();
+		int keyIndex = -1;
+		int langIndex = -1;
+		int defaultIndex = -1;
+		for (int c = 0 ; c < ncol ; c++) {
+			Cell cell = headerRow.getCellByIndex(c);
+			if ("KEY".equals(cell.getDisplayText())) {
+				keyIndex = c;
+			} else if (lang.equals(cell.getDisplayText().toLowerCase())) {
+				langIndex = c;
+			} else if ("DEFAULT".equals(cell.getDisplayText())) {
+				defaultIndex = c;
+			}
+		}
+		
+		if (keyIndex == -1) {
+			System.out.println("KEY columns not found in "+headerRow);
+			return false;
+		}
+		if (langIndex == -1) {
+			System.out.println(lang+" columns not found in "+headerRow);
+			return false;
+		}
+		if (defaultIndex == -1) {
+			System.out.println("DEFAULT columns not found in "+headerRow);
+			return false;
+		}
+		
+		for (Row h : table.getRowList()) {
+			
+			String key = h.getCellByIndex(keyIndex).getDisplayText();
 			if (key != null) {
-				String value = h.get(lang);
+				String value = h.getCellByIndex(langIndex).getDisplayText();
 				if (value != null) {
 					slave.setProperty(key, value);
-					master.setProperty(key, h.get("DEFAULT"));
+					master.setProperty(key, h.getCellByIndex(defaultIndex).getDisplayText());
 				}
 			}
 		}
@@ -86,6 +115,6 @@
 	}
 	
 	public static void main(String[] args) throws Exception {
-		System.out.println(new ImportMessagesTable("fr").run(new File("table.ods")));
+		System.out.println(new ImportMessagesTable("fr").run(new File("messages_fr-slh.odt")));
 	}
 }
Index: tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1496)
+++ tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1497)
@@ -1,4 +1,6 @@
 eclipse.preferences.version=1
 encoding//OSGI-INF/l10n/bundle_fr.properties=UTF-8
+encoding/messages2.properties=UTF-8
+encoding/messages2_fr.properties=UTF-8
 encoding/messages_fr.properties=UTF-8
 encoding/messages_ru.properties=UTF-8
